{ flake, pkgs, lib, ... }: {
  imports = [ flake.inputs.ghostty.homeModules.default ];

  programs.ghostty = {
    enable = true;
    # ghostty is externally managed for now
    package = null;
    settings = let font = "RecMonoDuotone Nerd Font";
    in {
      # TODO: auto-theme
      config-file = [ "${pkgs.terminal-themes}/ghostty/rose-pine" ];
      font-family = font;
      # font-family-bold = "${font} Bold";
      # font-family-italic = "${font} Italic";
      # font-family-bold-italic = "${font} Bold Italic";
      # font-codepoint-map =
      #   "U+E5FA-U+E62B,U+E700-U+E7C5,U+F000-U+F2E0,U+E200-U+E2A9,U+F500-U+FD46,U+E300-U+E3EB,U+F400-U+F4A8,U+2665,U+26a1,U+F27C,U+E0A3,U+E0B4-U+E0C8,U+E0CA,U+E0CC-U+E0D2,U+E0D4,U+23FB-U+23FE,U+2B58,U+F300-U+F313,U+E000-U+E00D=RecMonoDuotone Nerd Font";
      font-size = 15;
      background-opacity = 0.95;
      unfocused-split-opacity = 0.8;
      window-decoration = true;
      window-padding-x = 10;
      window-padding-y = 10;
      window-inherit-working-directory = false;
      working-directory = "home";
    } // lib.optionalAttrs pkgs.stdenv.isDarwin {
      copy-on-select = "clipboard";
      background-blur-radius = 20;
      macos-non-native-fullscreen = "visible-menu";
      macos-option-as-alt = true;
    };
  };
}
