{ config, pkgs, lib, ... }: {
  # dark-mode-notify configuration
  launchd.agents.dark-mode-notify =
    let logPath = "${config.xdg.stateHome}/dark-mode-notify";
    in {
      enable = true;
      config = {
        Label = "ke.bou.dark-mode-notify";
        KeepAlive = true;
        StandardErrorPath = "${logPath}/error.log";
        StandardOutPath = "${logPath}/out.log";
        ProgramArguments = [
          "${lib.getExe' pkgs.dark-mode-notify "dark-mode-notify"}"
          "${lib.getExe pkgs.fish}"
          "-c"
          "set-background-to-env DARKMODE"
        ];
      };
    };
}
